#---------------------------------------------------------------------------	
#	File:		DefaultRules.make
#
#	Contains:	Default Make rules for building parts
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994,95 by Apple Computer, Inc., all rights reserved.
#---------------------------------------------------------------------------	

.cpp.o		.cpp
	Echo Compiling:	{default}.cpp
	{CPlus} {CPlusOptions} {depDir}{default}.cpp -o {targDir}{default}.cpp.o 
		-i {depDir} -i "{CIncludes}" {AdditionalIncludes} {ODCPlusIntf} {CppLoadOptions}

.c.o		.c
	Echo Compiling:	{default}.c
	{C} {depDir}{default}.c -o {targDir}{default}.c.o {COptions} 
		-i {depDir} -i "{CIncludes}" {AdditionalIncludes} {ODCIntf} {CLoadOptions}

.cpp.dump 	 	.pch
	Echo Checking:	free disk space
	delete -i "{targDir}{default}.cpp.dump"
	( evaluate `directory` =~ /([:]+)1:?+/ )  dev:null
	set vinfo "`volumes -l "{1}":`"
	( evaluate "{vinfo}" =~ /?+:[0-9 ']+K[ ]*([0-9]+)2K?+/ )  dev:null
	if {2} < {DumpFileSize}
		Echo
		Echo Error: The precompiled headers require at least {DumpFileSize}K of free disk space
		Echo
		Exit 1
	end
	Echo Precompiling:	{default}.pch
	Duplicate -y {depDir}{default}.pch {depDir}{default}.cpp
	{CPlus} {CPlusOptions} {depDir}{default}.cpp -o {targDir}{default}.cpp.o 
		-i "{SourceDir}" -i "{CIncludes}"  {AdditionalIncludes} {ODCPlusIntf} {CppDumpOptions}
	Delete {depDir}{default}.cpp

.c.dump 	 	.pch
	Echo Checking:	free disk space
	delete -i "{targDir}{default}.c.dump"
	( evaluate `directory` =~ /([:]+)1:?+/ )  dev:null
	set vinfo "`volumes -l "{1}":`"
	( evaluate "{vinfo}" =~ /?+:[0-9 ']+K[ ]*([0-9]+)2K?+/ )  dev:null
	if {2} < {DumpFileSize}
		Echo
		Echo Error: The precompiled headers require at least {DumpFileSize}K of free disk space
		Echo
		Exit 1
	end
	Echo Precompiling:	{default}.pch
	Duplicate -y {depDir}{default}.pch {depDir}{default}.c
	{C} {COptions} {depDir}{default}.c -o {targDir}{default}.c.o 
		-i "{SourceDir}" -i "{CIncludes}"  {AdditionalIncludes} {ODCIntf} {CDumpOptions}
	Delete {depDir}{default}.c

.xih  .idl
	Echo Producing:	{default}.xih
	somc -other "-S 100000" {PrivateHeadersFlag} -e xih {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes} -m chkexcept
	SetFile -m . {targDir}{default}.xih

.xh  .idl
	Echo Producing:	{default}.xh
	somc -other "-S 100000" {PrivateHeadersFlag} -e xh {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes} -m chkexcept
	SetFile -m . {targDir}{default}.xh

.cpp  .idl
	Echo Updating:	{default}.cpp
	somc -other "-S 100000" -m cpluscpp {PrivateHeadersFlag} -e xc {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes} 
	SetFile -m . {targDir}{default}.cpp

.ih  .idl
	Echo Producing:	{default}.ih
	somc -other "-S 100000" {PrivateHeadersFlag} -e ih {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes} -m chkexcept
	SetFile -m . {targDir}{default}.ih

.h  .idl
	Echo Producing:	{default}.h
	somc -other "-S 100000" {PrivateHeadersFlag} -e h {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes} -m chkexcept
	SetFile -m . {targDir}{default}.h

.c  .idl
	Echo Updating:	{default}.c
	somc -other "-S 100000" {PrivateHeadersFlag} -e c {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes}
	SetFile -m . {targDir}{default}.c

.exp  .idl
	Echo Producing:	{default}.exp
	somc -other "-S 100000" -e exp {depDir}{default}.idl 
		-o {targDir} -I {depDir} {ODIDLIntf} {AdditionalIDLIncludes}
	SetFile -m . {targDir}{default}.exp
