#
#	File:		MrCVars.make
#
#	Contains:	Build variables for MrC compiler
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#

DumpFileSize = 9400

# ----------------------------------------------------------------------
# Compiler
# ----------------------------------------------------------------------

C = MrC
CPlus = MrCpp

SymOption = on
OptimizationOption = off
StructAlignmentOption = mac68k
ArchitectureOption = powerpc
MultifinderOption = -mf
WarningOption = -w 17

GOptions = 	-d _PLATFORM_MACINTOSH_=1			
			-d _PLATFORM_BIG_ENDIAN_=1			
			-opt {OptimizationOption}			
			-target {ArchitectureOption}		
			-sym {SymOption}					
			-align {StructAlignmentOption}		
			{WarningOption}

COptions = {GOptions} 

# ----------------------------------------------------------------------
# Linker
# ----------------------------------------------------------------------

LinkTool = PPCLink

PPCLinkOptions = {MultifinderOption} -sym {SymOption} -tocDataRef on -roIsText on

PPCLinkShLibOptions = -xm s

PPCShLibPreLibraries = {DefaultPPCPreLibs}

PPCShLibPostLibraries = {DefaultPPCPostLibs} "{PPCLibraries}"MrCPlusLib.o

# ----------------------------------------------------------------------
# Post Processing
# ----------------------------------------------------------------------

SymTool = MakeSym

MakeSymOptions = -i : -r -sym {SymOption}

MergeFragmentOptions = -c -x

MergeFragment68KOption = -t pwpc

MergeFragmentShLibOptions = {MergeFragment68KOption}

